summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--desktop/xonclock/README1
-rw-r--r--desktop/xonclock/slack-desc19
-rwxr-xr-xdesktop/xonclock/xonclock.SlackBuild109
-rw-r--r--desktop/xonclock/xonclock.info10
4 files changed, 139 insertions, 0 deletions
diff --git a/desktop/xonclock/README b/desktop/xonclock/README
new file mode 100644
index 0000000000..5135992675
--- /dev/null
+++ b/desktop/xonclock/README
@@ -0,0 +1 @@
+xonclock is X on-screen analog clock displayer with assignable skins.
diff --git a/desktop/xonclock/slack-desc b/desktop/xonclock/slack-desc
new file mode 100644
index 0000000000..95709355c9
--- /dev/null
+++ b/desktop/xonclock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xonclock: xonclock (a skinable X on-screen analog clock)
+xonclock:
+xonclock: Originally the program was written to work under the Window Maker
+xonclock: 0.91.0 windows manager. If you are planning to use xonclock under
+xonclock: different windows manager you should read documentation supplied
+xonclock: with the windows manager.
+xonclock:
+xonclock:
+xonclock:
+xonclock:
+xonclock: Slackbuild by David Woodfall
diff --git a/desktop/xonclock/xonclock.SlackBuild b/desktop/xonclock/xonclock.SlackBuild
new file mode 100755
index 0000000000..e60e61dd57
--- /dev/null
+++ b/desktop/xonclock/xonclock.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for xonclock
+
+# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# All rights reserved.
+#
+# aka dive in #slackware on freenode.net
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. FURTHERMORE I AM NOT LIABLE IF
+# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
+
+
+PRGNAM=xonclock
+VERSION=${VERSION:-0.0.9.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ # Remove 'special' files
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO AUTHORS INSTALL ChangeLog COPYING NEWS THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xonclock/xonclock.info b/desktop/xonclock/xonclock.info
new file mode 100644
index 0000000000..d9fa7b5653
--- /dev/null
+++ b/desktop/xonclock/xonclock.info
@@ -0,0 +1,10 @@
+PRGNAM="xonclock"
+VERSION="0.0.9.2"
+HOMEPAGE="http://xonclock.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/xonclock/xonclock/xonclock-0.0.9.2/xonclock-0.0.9.2.tar.gz"
+MD5SUM="2c62c198df0a965fc87690d6ad567ee8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@unrealize.co.uk"
+APPROVED="Erik Hanson"